package ProjectElectricLocomotive.src.MovementStrategy;

public class ObjectParameters
{
    private final int x;
    public int getLeftBorder() {
        return x;
    }
    private final int y;
    public int getTopBorder() {
        return y;
    }
    private final int width;

    private final int height;

    public ObjectParameters(int x, int y, int width, int height) {
        this.x = x;
        this.y = y;
        this.width = width;
        this.height = height;
    }


    public int getRightBorder() {
        return x + width;
    }
    public int getDownBorder() {
        return y + height;
    }

    public int getObjectMiddleHorizontal() {
        return x + width / 2;
    }

    public int getObjectMiddleVertical() {
        return y + height / 2;
    }
}
