package ProjectElectricLocomotive.src.Drawnings;

import ProjectElectricLocomotive.src.CountWheels;

import java.awt.*;

public class DrawingOrnamentWheels implements  IDrawingOrnament
{
    private CountWheels _wheels;
    @Override
    public void SetCountWheels(int count)
    {
        for(CountWheels temp : CountWheels.values())
        {
            if(temp.GetCountWheels() >= count)
            {
                _wheels = temp;
                return;
            }
        }
    }

    @Override
    public void DrawWheels(Graphics g,int _startPosX, int _startPosY)
    {
        g.setColor(Color.BLACK);
        switch (_wheels.GetCountWheels())
        {
            case 4:
                g.drawOval(_startPosX + 58, _startPosY + 37, 8, 8);
                g.drawLine(_startPosX + 62,_startPosY + 38, _startPosX + 62,  _startPosY + 38 + 6 );

            case 3:
                g.drawOval(_startPosX + 48, _startPosY + 37, 8, 8);
                g.drawLine(_startPosX + 52,_startPosY + 38, _startPosX + 52, _startPosY + 38 + 6 );

            case 2:
                g.drawOval(_startPosX + 19, _startPosY + 37, 8, 8);
                g.drawLine(_startPosX + 23,_startPosY + 38, _startPosX + 23, _startPosY + 38 + 6 );

            case 1:
                g.drawOval(_startPosX + 9, _startPosY + 37, 8, 8);
                g.drawLine(_startPosX + 13,_startPosY + 38, _startPosX + 13, _startPosY + 38 + 6 );

                break;
        }
    }
}
